package com.madeu.service.web.webtreatmentdiet;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebTreatmentDietService {
    public HashMap<String, Object> selectListWebTreatmentDietIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebTreatmentDiet(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebTreatmentDiet(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebTreatmentDietIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebTreatmentDiet(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    
    public HashMap<String, Object> updateWebTreatmentDietIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebTreatmentDiet(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    public HashMap<String, Object> deleteWebTreatmentDiet(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListTreatmentOption(HashMap<String, Object> paramMap) throws Exception;
}
